zla_wwaddw.f(3)

NAME
zla_wwaddw.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLA_WWADDW (N, X, Y, W)
ZLA_WWADDW

Function/Subroutine Documentation

  subroutine ZLA_WWADDW (INTEGERN, COMPLEX*16, dimension( * )X, COMPLEX*16, dimension( * )Y, COMPLEX*16, dimension( * )W)

ZLA_WWADDW

Purpose:

        ZLA_WWADDW adds a vector W into a doubled-single vector (X, Y).
        This works for all extant IBM's hex and binary floating point
        arithmetics, but not for decimal.

Parameters:
    N

              N is INTEGER
                The length of vectors X, Y, and W.

    X

              X is COMPLEX*16 array, dimension (N)
                The first part of the doubled-single accumulation vector.

    Y

              Y is COMPLEX*16 array, dimension (N)
                The second part of the doubled-single accumulation vector.

    W

              W is COMPLEX*16 array, dimension (N)
                The vector to be added.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 82 of file zla_wwaddw.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.